## System

System — System utilities

## Functions

gboolean | eos_is_composite_tv_screen ()

## Types and Values

#define | EOS_SDK_MAJOR_VERSION
#define | EOS_SDK_MINOR_VERSION
#define | EOS_SDK_MICRO_VERSION

## Description

Miscellaneous utilities for gathering information about the system.

## Functions

### eos_is_composite_tv_screen ()

    gboolean
    eos_is_composite_tv_screen (GdkScreen *screen);

`eos_is_composite_tv_screen` is deprecated and should not be used in newly-written code.

Determines whether `screen` is a composite TV out.

#### Parameters

screen | a GdkScreen, or `NULL` to use the default display's default screen. | [allow-none]

#### Returns

`TRUE` if `screen` is a composite TV, otherwise `FALSE`.

Since: 0.6

## Types and Values

### EOS_SDK_MAJOR_VERSION

    #define EOS_SDK_MAJOR_VERSION (0)

Major version number (API level) of the Endless SDK library. For example, this is 0 for version 0.6.1.

Since: 0.6

### EOS_SDK_MINOR_VERSION

    #define EOS_SDK_MINOR_VERSION (5)

Minor version number of the Endless SDK library. For example, this is 6 for version 0.6.1. An even number indicates a stable release, while an odd number is used for development snapshots.

Since: 0.6

### EOS_SDK_MICRO_VERSION

    #define EOS_SDK_MICRO_VERSION (0)

Micro version number of the Endless SDK library. For example, this is 1 for version 0.6.1.

Since: 0.6